﻿#ifndef WIDGET_H
#define WIDGET_H

#include <QWidget>
#include "settingwgt.h"
#include "udpdatathread.h"

QT_BEGIN_NAMESPACE
namespace Ui { class Widget; }
QT_END_NAMESPACE

class Widget : public QWidget
{
    Q_OBJECT
public:
    Widget(QWidget *parent = nullptr);
    ~Widget();
private:
    void initUI();
    void setSNLineEditFocus();
    int checkSNId(const QString& snId);
private slots:
    void addLogItem(const QString& text);
    void on_pushButton_setting_clicked();
    void on_lineEdit_snId_returnPressed();

    void on_pushButton_sendSnId_clicked();

private:
    Ui::Widget *ui;
    SettingWgt *m_settingDlg;
    UdpDataThread *m_udpDataThread;
    bool m_showSetting;
};
#endif // WIDGET_H
